/* Author:

*/

$(function(){

	$("p.top a").on('click', function(){
		$('body,html').animate({
			scrollTop: 0
		}, 500);
		return false;
	});

	$(window).scroll(function (e) {
		//console.log($(this).scrollTop());
		if (Modernizr.mq('only screen and (max-width: 768px)')) {
			var menu = $('nav.main-nav'),
			html = $(document).width(),
			menuw= html-60;
			
			if ($(this).scrollTop() >= 210) {
				if (!menu.hasClass('nav-fixed')) {
					menu.width(menuw).addClass('nav-fixed');
				}
			}
			if ($(this).scrollTop() <= 209) {
				if (menu.hasClass('nav-fixed')) {
					menu.removeClass('nav-fixed').removeAttr("style");
				}
			}
		}
	});

});